
/*  -*- MaTX -*-
 *
 *  yOz
 *      cond() - (2-m)
 *
 *  y`z
 *      c = cond(A)
 *         Real c;
 *         Matrix A;
 *
 *  y@\z
 *      cond()́Cs2-mɊւ߂B́C
 *      őْlƍŏْl̔ŗ^C1 ȏłB
 *
 *  yASYz
 *      ْl𗘗pB
 *
 *  yӁz
 *      JԂvZœْl܂Ȃꍇ́C̃bZ[W\B
 *
 *          Solution will not converge
 *
 *  yz
 *      >> A = [[1 2 3][4 5 6]];
 *      >> k = cond(A)
 *      k = 12.3022
 *
 *  y֘Aځz
 *      svd, rank, singval
 */

Func Real cond(A)
	Matrix A;
{
	Real c;
	Matrix sg;

	// s
	if (length(A) == 0) {
		warning("cond(): s\n");
		c = NaN;
	} else {
		sg = singval(A);
		// ٍs
		if (any(sg .== 0)) {
			warning("cond(): ͖B\n");
			c = Inf;
		} else {
			c = max(sg)/min(sg);
		}
	}
	
	return c;
}
