
/*  -*- MaTX -*-
 *
 *  yOz
 *      Ode45Hybrid() - RKF45@ŏ
 *                      (OMTvOɍXV)
 *
 *  y`z
 *      {T,X,U} = Ode45Hybrid(t0,t1,dt,x0,diff_eqs,link_eqs)
 *         Array T,X,U;
 *         Real t0,t1,dt;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *
 *      {T,X,U} = Ode45Hybrid(t0,t1,dt,x0,diff_eqs,link_eqs,h)
 *         Array T,X,U;
 *         Real t0,t1,dt;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *         Real h;
 *
 *      {T,X,U} = Ode45Hybrid(t0,t1,dt,x0,diff_eqs,link_eqs,h,dtsav)
 *         Array T,X,U;
 *         Real t0,t1,dt;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *         Real h,dtsav;
 *
 *  y@\z
 *      {T,X,U} = Ode45Hybrid(t0,t1,x0,diff_eqs,link_eqs)́Cdiff_eqs()
 *      Œ` RKF45 @gCݕ h = 4.0E-2 
 *      ,Ԃ̎n XCOM̎n UCԂ̌n T ԂBe
 *      ɂł؂덷̃I[_[ h^6 łB
 *
 *      TvO dt  link_eqs() ĂяoCdiff_eqs() ɓn
 *      OM u XVB
 *
 *      Ode45Hybrid(t0,t1,dt,x0,diff_eqs,link_eqs,h)́Cݕ h ŏ
 *      B
 *
 *      Ode45Hybrid(t0,t1,dt,x0,diff_eqs,link_eqs,h,dtsav)́Cۑf[^
 *      ̊Ԋu dtsav ȏɂCf[^ԈB
 *
 *      ̈ӖɎB
 *
 *          t0              : 
 *          t1              : I[
 *          dt              : TvO
 *          x0              : 
 *          diff_eqs(t,x,u) :  tC xCOM u 
 *                          : Ԃ̔vZ
 *          link_eqs(t,x)   :  tC x OMvZ
 *          h               : ݕ
 *          dtsave          : f[^ۑ̍ŏԊu
 *
 *  yz
 *      [U[Y}jAQƁB
 *
 *  y֘Aځz
 *      rkf45(), Ode45(), Ode45Auto(), Ode45HybridAuto()
 */
