
/*  -*- MaTX -*-
 *
 *  yOz
 *      conjtrans() - f]u
 *
 *  y`z
 *      y = conjtrans(x)
 *         (Integer|Real|Complex|Polynomial|Rational) y;
 *         (Integer|Real|Complex|Polynomial|Rational) x;
 *
 *      Y = conjtrans(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  y@\z
 *      (|) x ɂāCconjtrans(x) x gɂȂBf x 
 *      ɂāCconjtrans(x) ́Cx ̋𕡑f߂B(|
 *      L) x ɂāCconjtrans(x)  x ̊eW𕡑f
 *      ɂl߂B
 *
 *	    conjtrans(X)́C(s|z) X ̕f]u X# ߂B
 *
 *  yz
 *      >> y = conjtrans(3.14)
 *      y = 3.14
 *      >> y = conjtrans((3.14, 2.6))
 *      y = (3.14, -2.6)
 *      >> s = Polynomial("s");
 *      >> y = conjtrans((1,3)*s + (2,4))
 *      y = (1,-3) s + (2,-4)
 *      >> y = conjtrans([(1,2), (3,4)])
 *      === [y] : (  2,  1) ===
 *             [ (  1)-Real      (  1)-Imag ]
 *      (  1)  1.00000000E+00 -2.00000000E+00
 *      (  2)  3.00000000E+00 -4.00000000E+00
 *
 *  y֘Aځz
 *      trans(), conj()
 */
