
/*  -*- MaTX -*-
 *
 *  yOz
 *      length() - 
 *
 *  y`z
 *      m = length(X)
 *         Integer m;
 *         (Matrix|Array|Index) X;
 *
 *      m = length(str)
 *         Integer m;
 *         String str;
 *
 *      m = length(L)
 *         Integer m;
 *         List L;
 *
 *      m = length(L,i1,i2,....,in)
 *         Integer m;
 *         List L;
 *         Integer i1,i2,...,in;
 *
 *  y@\z
 *      X (s|z|w)̂ƂClength(X) X ̍sƗ̒̐
 *      ԂBstr ̂ƂClength(str)͕̒ԂB
 *      L XĝƂClength(L)̓Xg̐̐ԂB
 *      L iXĝƂClength(L,i1,i2,..,in)́Cn iڂ̃Xg
 *      ̐̐ԂB
 *
 *  yz
 *      >> X = [1 2 3];
 *      >> m = length(X)
 *      m = 3
 *      >> X = [[1 2 3][4 5 6]];
 *      >> m = length(X)
 *      m = 3
 *      >> m = length("Hello")
 *      m = 5
 *      >> m = length({1, [1], "hello"})
 *      m = 3
 *      >> m = length({{1,2,3},{4,5}}, 2)
 *      m = 2
 *
 *  y֘Aځz
 *      Rows(), size(), Cols()
 */
