
/*  -*- MaTX -*-
 *
 *  yOz
 *      lu() - LU
 *
 *  y`z
 *      {L,U} = lu(A)
 *         Matrix L,U;
 *         Matrix A;
 *
 *  y@\z
 *      {L,U} =lu(A)́Cs A LU߂B́̕Cs A
 *      Opssus L ƏOps U ̐ςɕB
 *      ̍s̊Ԃɂ́CA = L * U ̊֌WB
 *
 *  yASYz
 *       1 ̃ASYgB
 *
 *  yz
 *      >> A = [[1 2 3][6 5 4][7 8 1]];
 *      >> {L, U} = lu(A);
 *      >> print L, U
 *      === [L] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)
 *      (  1)  1.42857143E-01 -4.61538462E-01  1.00000000E+00
 *      (  2)  8.57142857E-01  1.00000000E+00  0.00000000E+00
 *      (  3)  1.00000000E+00  0.00000000E+00  0.00000000E+00
 *      === [U] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  7.00000000E+00  8.00000000E+00  1.00000000E+00
 *      (  2)  0.00000000E+00 -1.85714286E+00  3.14285714E+00
 *      (  3)  0.00000000E+00  0.00000000E+00  4.30769231E+00
 *
 *  y֘Aځz
 *      lu_p(), inv(), det()
 *
 *  yQlz
 *      [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *          The Johns Hopkins University Press, 1989
 */
