
/*  -*- MaTX -*-
 *
 *  yOz
 *      lu_p() - ёւtLU
 *
 *  y`z
 *      {L,U,P} = lu_p(A)
 *         Matrix L,U,P;
 *         Matrix A;
 *
 *  y@\z
 *      {L,U,P} =lu_p(A)́Cs A ̕ёւtLU߂B
 *      ́Cs AOps LCOps UCus P ̐
 *      ɕB̍s̊Ԃɂ́CP * A = L * U ̊֌WB
 *
 *  yASYz
 *       1 ̃ASYgB
 *
 *  yz
 *      >> A = [[1 2 3][6 5 4][7 8 1]];
 *      >> {L, U, P} = lu_p(A);
 *      >> print L, U, P;
 *      === [L] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.00000000E+00  0.00000000E+00  0.00000000E+00
 *      (  2)  8.57142857E-01  1.00000000E+00  0.00000000E+00
 *      (  3)  1.42857143E-01 -4.61538462E-01  1.00000000E+00
 *      === [U] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  7.00000000E+00  8.00000000E+00  1.00000000E+00
 *      (  2)  0.00000000E+00 -1.85714286E+00  3.14285714E+00
 *      (  3)  0.00000000E+00  0.00000000E+00  4.30769231E+00
 *      === [P] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  0.00000000E+00  0.00000000E+00  1.00000000E+00
 *      (  2)  0.00000000E+00  1.00000000E+00  0.00000000E+00
 *      (  3)  1.00000000E+00  0.00000000E+00  0.00000000E+00
 *
 *  y֘Aځz
 *      lu(), inv(), det()
 *
 *  yQlz
 *      [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *          The Johns Hopkins University Press, 1989
 */
