
/*  -*- MaTX -*-
 *
 *  yOz
 *      norm() - m
 *
 *  y`z
 *      x = norm(A)
 *         Real x;
 *         (Matrix|Array) A;
 *
 *      x = norm(A,k)
 *         Real x;
 *         (Matrix|Array) A;
 *         Integer k;
 *
 *      x = norm(A,Inf)
 *         Real x;
 *         (Matrix|Array) A;
 *
 *      x = norm(A,"fro")
 *         Real x;
 *         (Matrix|Array) A;
 *
 *  y@\z
 *      norm(A)́Cs A ̍őْl߂Bnorm(A,1) ́CA 
 *      1-m(񖈂̘a̍ől)߂Bnorm(A,2)́Cnorm(A)
 *      B
 *
 *      norm(A,Inf)́Cs A ̖m(s̘a̍ől)߂B
 *
 *      norm(X,"fro")́CSĂ̐̃txjEXm߂B
 *
 *  yz
 *      >> x = norm([[1 2 3][4 5 6]])
 *      x = 9.50803
 *      >> x = norm([[1 2 3][4 5 6]],1)
 *      x = 9
 *      >> x = norm([[1 2 3][4 5 6]],2)
 *      x = 9.50803
 *      >> x = norm([[1 2 3][4 5 6]],Inf)
 *      x = 15
 *      >> x = norm([[1 2 3][4 5 6]],"fro")
 *      x = 9.53939
 *
 *  y֘Aځz
 *      frobnorm, infnorm
 */


