
/*  -*- MaTX -*-
 *
 *  yOz
 *      pow() - ݏ
 *
 *  y`z
 *      y = pow(x,k)
 *         (Integer|Real|Complex|Polynomial|Rational) y;
 *         (Integer|Real|Complex|Polynomial|Rational) x;
 *         Integer k;
 *
 *      Y = pow(X,k)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *         Integer k;
 *
 *      y = pow(x,p)
 *         (Integer|Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *         Real p;
 *
 *      Y = pow(X,p)
 *         Array Y;
 *         Array X;
 *         Real p;
 *
 *      y = pow(x,c)
 *         Complex y;
 *         (Integer|Real|Complex) y;
 *         Complex c;
 *
 *      Y = pow(X,c)
 *         Array Y;
 *         Array X;
 *         Complex c;;
 *
 *      Y = pow(x,X)
 *         Array Y;
 *         (Integer|Real|Complex|Polynomial|Rational) x;
 *         Array X;
 *
 *      Y = pow(X,K)
 *         Array Y;
 *         Array X;
 *         Array K;
 *
 *  y@\z
 *      XJ[^(||f||L) x ɂāC
 *      k ̂ƂCpow(x,k) x  k  x^k ߂B
 *
 *	    (s|z) X ɂāCk ̂ƂCpow(X,k)́CX^k 
 *      ߂BCz̏ꍇC X(i,j)^k vZB
 *
 *      XJ[^(||f) x ɂāCp ̂ƂC
 *      pow(x,p) x  p  x^p ߂B
 *
 *	    z X ɂāCp ̂ƂCpow(X,k)́C X(i,j)^p 
 *      vZB
 *
 *      XJ[^(||f) x ɂāCc f̂ƂC
 *      pow(x,c) x  c  x^c ߂B
 *
 *	    z X ɂāCc f̂ƂCpow(X,c)́C X(i,j)^c 
 *      vZB
 *
 *      XJ[^(||f||L) x ɂāC
 *      X ẑƂCpow(x,X)́CX ̐ x^X(i,j) vZC
 *      X Ɠ傫̔z߂B
 *
 *	    z X ɂāCK ẑƂCpow(X,K)́C 
 *      X(i,j)^K(i,j) vZBX  K ̑傫͈vȂ΂ȂȂB
 *
 *  yz
 *      >> y = pow(2,10)
 *      y = 1024
 *      >> y = pow((2,3), 3)
 *      y = (-46,9)
 *      >> s = Polynomial("s");
 *      >> y = pow(2*s + 3, 3)
 *      y = 8 s^3 + 36 s^2 + 54 s + 27
 *      >> Y = pow([[1 2][3 4]], 3)
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  3.70000000E+01  5.40000000E+01
 *      (  2)  8.10000000E+01  1.18000000E+02
 *      >> Y = pow(Array([[1 2][3 4]]), 3)
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  8.00000000E+00
 *      (  2)  2.70000000E+01  6.40000000E+01
 *
 *  y֘Aځz
 *      conj(), trans()
 */
