
/*  -*- MaTX -*-
 *
 *  yOz
 *      pseudoinv() - [ts
 *
 *  y`z
 *      P = pseudoinv(A)
 *         Matrix P;
 *         Matrix A;
 *
 *      P = pseudoinv(A,tol)
 *         Matrix P;
 *         Matrix A;
 *         Real tol;
 *
 *  y@\z
 *      pseudoinv(A)́Cs A ̋[ts񋁂߂Bpseudoinv(A,tol)́C
 *      tol 菬 A ْ̓l[Ƃ݂ȂCs A ̃N肵C
 *      [ts߂Btol ȗƁCEPS * norm(A,"fro") gB
 *
 *  yASYz
 *      ْl𗘗pB
 *
 *      {U,D,V} = svd(A);                 // A := U * D * V#
 *      Dinv  vec2diag(diag2vec(D).~);  // ΊptvZ
 *      pseudoinv(A) := V * Dinv * U#;
 *
 *  yӁz
 *      JԂvZœْl܂Ȃꍇ́C̃bZ[W\B
 *
 *          Solution will not converge
 *
 *  yz
 *      >> A = [[1 2 3][4 5 6]];
 *      >> P = pseudoinv(A)
 *      === [P] : (  3,  2) ===
 *                 (  1)           (  2)     
 *      (  1) -9.44444444E-01  4.44444444E-01
 *      (  2) -1.11111111E-01  1.11111111E-01
 *      (  3)  7.22222222E-01 -2.22222222E-01
 *      >> A * P * A
 *      === [ans] : (  2,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.00000000E+00  2.00000000E+00  3.00000000E+00
 *      (  2)  4.00000000E+00  5.00000000E+00  6.00000000E+00
 *
 *  y֘Aځz
 *      svd()
 *
 */
