
/*  -*- MaTX -*-
 *
 *  yOz
 *      svd() - ْl
 *
 *  y`z
 *      {U,D,V,flag} = svd(A)
 *         Matrix U,D,V;
 *         Matrix A;
 *         int flag;
 *
 *  y@\z
 *      svd(A)́Cs A ْ̓lsBA ́Csł񐳕s
 *      ł悢B{U,D,V} = svd(A) ́Cs A Ɠ傫ŁCłȂ
 *      Ίpɂs D CA = U * D * V# 𖞂s(j^
 *      s) U  V ߂BD ̑Ίpɂْ͓l~ɕԁB
 *
 *  yASYz
 *       1 ̃ASYgB
 *
 *  yӁz
 *      JԂvZœْl܂Ȃꍇ́C̃bZ[W\B
 *
 *          Solution will not converge
 *
 *      ܂Cflag ɔ̒lԂB
 *
 *  yz
 *      >> A = [[1 2 3][4 5 6]];
 *      >> {U, D, V} = svd(A);
 *      >> print U, D, V
 *      === [U] : (  2,  2) ===
 *                 (  1)           (  2)
 *      (  1) -3.86317703E-01 -9.22365780E-01
 *      (  2) -9.22365780E-01  3.86317703E-01
 *      === [D] : (  2,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  9.50803200E+00  0.00000000E+00  0.00000000E+00
 *      (  2)  0.00000000E+00  7.72869636E-01  0.00000000E+00
 *      === [V] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1) -4.28667134E-01  8.05963909E-01  4.08248290E-01
 *      (  2) -5.66306919E-01  1.12382414E-01 -8.16496581E-01
 *      (  3) -7.03946704E-01 -5.81199080E-01  4.08248290E-01
 *
 *  y֘Aځz
 *      singval(), singleftvec(), singrightvec(), maxsing(), minsing()
 *
 *  yQlz
 *     [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *         The Johns Hopkins University Press, 1989
 */
