
/*  -*- MaTX -*-
 *
 *  yOz
 *      linspace() - `ԊuxNg
 *
 *  y`z
 *      y = linspace(x1, x2, n, ...)
 *         Array y;
 *         Real x1, x2;
 *         ...
 *         Integer n = 100;
 *
 *  y@\z
 *      linspace(x1,x2) ́Cx1  x2 𓙊Ԋu 100  100 
 *      lȂsxNgԂB
 *      linspace(x1,x2,N) ́Cx1  x2 𓙊Ԋu N  N 
 *      lȂsxNgԂB
 *
 *  y֘Aځz
 *      logspace
 */

Func Array linspace(x1, x2, n, ...)
	Real x1, x2;
	Integer n;
{
	Array y;
	
	error(nargchk(2, 3, nargs, "linspace"));

	if (nargs == 2) {
		n = 100;
	} 

	y = [x1 .+ [0:n-2]*(x2-x1)/(n-1), x2];
	return y;
}
