
/*  -*- MaTX -*-
 *
 *  yOz
 *      OdeHybrid() - 4RK@ŏ
 *                    (OMTvOɍXV)
 *
 *  y`z
 *      {T,X,U} = OdeHybrid(t0,t1,dt,x0,diff_eqs,link_eqs)
 *         Array T,X,U;
 *         Real t0,t1,dt;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *
 *      {T,X,U} = OdeHybrid(t0,t1,dt,x0,diff_eqs,link_eqs,h)
 *         Array T,X,U;
 *         Real t0,t1,dt;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *         Real h;
 *
 *      {T,X,U} = OdeHybrid(t0,t1,dt,x0,diff_eqs,link_eqs,h,dtsav)
 *         Array T,X,U;
 *         Real t0,t1,dt;
 *         Matrix x0;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *         Real h,dtsav;
 *
 *  y@\z
 *      {T,X,U} = OdeHybrid(t0,t1,x0,diff_eqs,link_eqs)́Cdiff_eqs()
 *      Œ` 4 ̃QNb^̃ASYgC
 *      ݕ h = 4.0E-2 ŉCԂ̎n XCOM̎n UC
 *      Ԃ̌n T ԂBeɂł؂덷̃I[_[ h^5 
 *      łB
 *
 *      TvO dt  link_eqs() ĂяoCdiff_eqs() ɓn
 *      OM u XVB
 *
 *      OdeHybrid(t0,t1,dt,x0,diff_eqs,link_eqs,h)́Cݕ h ŏ
 *      B
 *
 *      OdeHybrid(t0,t1,dt,x0,diff_eqs,link_eqs,h,dtsav)́Cۑf[^
 *      ̊Ԋu dtsav ȏɂCf[^ԈB
 *
 *      ̈ӖɎB
 *
 *          t0              : 
 *          t1              : I[
 *          dt              : TvO
 *          x0              : 
 *          diff_eqs(t,x,u) :  tC xCOM u 
 *                          : Ԃ̔vZ
 *          link_eqs(t,x)   :  tC x OMvZ
 *          h               : ݕ
 *          dtsave          : f[^ۑ̍ŏԊu
 *
 *  yz
 *      [U[Y}jAQƁB
 *
 *  y֘Aځz
 *      rngkut4(), Ode(), OdeAuto(), OdeHybridAuto()
 */
