
/*  -*- MaTX -*-
 *
 *  yOz
 *      conj() - f
 *
 *  y`z
 *      y = conj(x)
 *         (Integer|Real|Complex|Polynomial|Rational) y;
 *         (Integer|Real|Complex|Polynomial|Rational) x;
 *
 *      Y = conj(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  y@\z
 *      (|) x ɂāCconj(x) x gɂȂBf x ɂāC
 *      conj(x) ́Cx ̋𕡑f߂B(|L) x ɂāC
 *      conj(x)  x ̊eW𕡑fɂl߂B
 *
 *	    conj(X)́C(s|z) X ̊e conj(X(i,j)) p
 *      ʂȂ(s|z) ߂BY ̑傫 X ̑傫
 *      ɂȂB
 *
 *  yz
 *      >> y = conj(3.14)
 *      y = 3.14
 *      >> y = conj((3.14, 2.6))
 *      y = (3.14, -2.6)
 *      >> s = Polynomial("s");
 *      >> y = conj((1,3)*s + (2,4))
 *      y = (1,-3) s + (2,-4)
 *      >> Y = conj([(1,2), (3,4)])
 *      === [Y] : (  1,  2) ===
 *             [ (  1)-Real  (  1)-Imag ]  [ (  2)-Real  (  2)-Imag ]
 *      (  1)  1.000000E+00 -2.000000E+00  3.000000E+00 -4.000000E+00
 *
 *  y֘Aځz
 *      trans(), conjtrans()
 */
