
/*  -*- MaTX -*-
 *
 *  yOz
 *      inv() - tCts
 *
 *  y`z
 *      y = inv(x)
 *         (Integer|Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      y = inv(x)
 *         (Rational|Rational) y;
 *         (Polynomial|Rational) x;
 *
 *      Y = inv(X)
 *         Array Y;
 *         Array X;
 *
 *      Y = inv(X)
 *         Matrix Y;
 *         Matrix X;
 *
 *      Y = inv(X,tol)
 *         Matrix Y;
 *         Matrix X;
 *         Real tol;
 *
 *  y@\z
 *      inv(x)́CXJ^(, , f) x ̋t߂B
 *
 *	    X ẑƂCinv(X)͔z X ̊e̋tȂz
 *      Y ߂BY ̑傫 X ̑傫ƓɂȂB
 *
 *      X ŝƂCinv(X) X ̋tss{beBOt
 *      KEX̏@ŋ߂Binv(X,tol) ̓s{bgl̐Βl
 *      tol 菬ƁCx\Btol ̂ƂCs{bg
 *      l̐Βl tol ̐Βl菬ȂƁCG[~B
 *
 *  yASYz
 *      s{beBOtKEX̏@ŋts߂B
 *
 *  yz
 *      >> y = inv(2)
 *      y = 0
 *      >> y = inv(2.0)
 *      y = 0.5
 *      >> y = inv((2,3))
 *      y = (0.153846,-0.230769)
 *      >> Y = inv(Array([[1 2][3 4]]))
 *      === [Y] : (  2,  2) ===
 *                (  1)           (  2)     
 *      (  1)  1.00000000E+00  5.00000000E-01
 *      (  2)  3.33333333E-01  2.50000000E-01
 *      >> Y = inv([[1 2][0 1e-10]])
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00 -2.00000000E+10
 *      (  2)  0.00000000E+00  1.00000000E+10
 *      >> Y = inv([[1 2][0 1e-10]], 1e-9)
 *      inv((2x2), 1E-09) : Singular: result may be inaccurate in Mat_Inv().
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00 -2.00000000E+10
 *      (  2)  0.00000000E+00  1.00000000E+10
 *
 *  y֘Aځz
 *      lu(), det()
 */
