
/*  -*- MaTX -*-
 *
 *  yOz
 *      max() - ől
 *
 *  y`z
 *      i = max(X)       x = max(X)              z = max(X)
 *         Integer i;       Real x;                 Complex z;
 *         Index X;         (Matrix|Array) X;       (CoMatrix|CoArray) X;
 *
 *      k = max(i,j)      k = max(i,j)    k = max(i,j)    k = max(i,j)
 *         Integer k;        Real k;         Real k;         Real k;
 *         Intger i, j;      Intger i;       Real i;         Real i;
 *                           Real j;         Integer j;      Real j;
 *
 *      z = max(i,j)
 *         Complex z;
 *         Complex i, j;
 *
 *      P = max(X,Y)
 *         (Matrix|Array|Index) P;
 *         (Matrix|Array|Index) X,Y;
 *
 *
 *  y@\z
 *      X ŵƂCmax(X) ͐̍ől𐮐ŕԂB
 *      X (s|z)̂ƂCmax(X) ͐̍őlԂB
 *      X f(s|z)̂ƂCmax(X) ͐΂ől̐ԂB
 *
 *      i  j ̂ƂCmax(i,j) i  j ̑傫ԂB
 *      i ܂ j ̂ƂCmax(i,j) i  j ̑傫ŕԂB
 *      i  j f̂ƂCmax(i,j) i  j ̐Βl傫ԂB
 *
 *	    P = max(X,Y)́C(s|z|w) X  Y ̊e max(X(i,j), Y(i,j))
 *      pʂȂ (s|z|w) ߂BP ̑傫 X 
 *      傫ƓɂȂB
 *
 *  yz
 *      >> x = max([[1, -2][3, 0]])
 *      x = 3
 *      >> z = max([(1,2), (3,4)])
 *      z = (3,4)
 *      >> k = max(3,2)
 *      k = 3
 *      >> x = max(3.14, 2)
 *      x = 3.14
 *      >> z = max((1,2),(3,4))
 *      z = (3,4)
 *      >> P = max([1 0 3], [2 4 1])
 *      === [P] : (  1,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  2.00000000E+00  4.00000000E+00  3.00000000E+00
 *
 *  y֘Aځz
 *      min(), max_col(), max_row(), maximum()
 */
