
/*  -*- MaTX -*-
 *
 *  yOz
 *      rngkut4() - 4 ̃QNb^@ŏ
 *
 *  y`z
 *      X = rngkut4(t,x,diff_eqs,h)
 *         Matrix X;
 *         Real t;
 *         Matrix x;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Real h;
 *
 *      X = rngkut4(t,x,diff_eqs,u,h)
 *         Matrix X;
 *         Real t;
 *         Matrix x;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix u;
 *         Real h;
 *
 *      X = rngkut4(t,x,diff_eqs,link_eqs,h)
 *         Matrix X;
 *         Real t;
 *         Matrix x;
 *         Matrix diff_eqs(t,x,u); (Real t; Matrix x,u;)
 *         Matrix link_eqs(t,x);   (Real t; Matrix x;)
 *         Real h;
 *
 *  y@\z
 *      rngkut4(t,x,diff_eqs,h)́C֐diff_eqs()Œ`
 *       4 ̃QNb^̃ASYgC h ̉
 *      ߂Bł؂덷̃I[_[ h^5 łB
 *
 *      rngkut4(t,x,diff_eqs,u,h)́COM u Cdiff_eqs() ɓnȂC
 *      C h ̉ԂB
 *
 *      rngkut4(t,x,diff_eqs,link_eqs,h)́C֐ link_eqs() ̌vZʂ
 *      OM u ƂāC֐ diff_eqs() ɓnȂC
 *      C h ̉ԂB
 *
 *      ̈ӖɎB
 *
 *          t               : ݎ
 *          x               : ݏ
 *          diff_eqs(t,x,u) :  tC xCOM u 
 *                          : Ԃ̔vZ
 *          h               : ݕ
 *          u               : diff_eqs() ɓnOM
 *          link_eqs(t,x)   :  tC x OMvZ
 *
 *  yz
 *      t@X}jAQƁB
 *
 *  y֘Aځz
 *      rkf45(), Ode()
 */
